/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 1002 $
 * $Date: 2020-04-10 23:31:24 +0200 (Fri, 10 Apr 2020) $
 */
package at.lcm.bu21.general.dtypes.editor;

import java.util.Vector;

import javax.swing.table.DefaultTableModel;

import at.lcm.bu21.general.dtypes.TData;

/**
 * @author Christoph Halbmayr
 */
class TableModelListPanel extends DefaultTableModel {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/**
	 * Creats an empty Object
	 */
	TableModelListPanel() {
		super();

	}

	/**
	 * Creats an Object
	 * 
	 * @param columnNames
	 *            titels
	 * @param rowCount
	 *            row Count
	 */
	TableModelListPanel(final Vector<?> columnNames, final int rowCount) {
		super(columnNames, rowCount);

	}

	/**
	 * Adds a data to the table
	 * 
	 * @param name
	 *            Name of data
	 * @param data
	 *            Data to add
	 */
	public void addData(String name, TData data) {
		final Vector<String> ss = new Vector<String>();
		ss.add(name);
		ss.add(data.getClass().getName().split("\\.")[5].replace("T", ""));
		ss.add(data.toString());

		this.addRow(ss);

	}

	@Override
	public Object getValueAt(final int row, final int column) {

		if ((row != -1) && (column != -1)) {
			try {
				return super.getValueAt(row, column);
			} catch (final Exception e) {
				return null;
			}
		} else {
			return null;
		}
	}

	@Override
	public boolean isCellEditable(final int row, final int column) {
		boolean editable = false;

		if ((column == 0) || (column == 1)) {
			editable = true;
		}

		return editable;
	}

	@Override
	public void setValueAt(final Object aValue, final int rowIndex, final int columnIndex) {

		try {
			super.setValueAt(aValue, rowIndex, columnIndex);
		} catch (final Exception e) {
		}

	}

}
