from lxml import etree
from dtypes import TData

class TBoolean(TData):
    
    def __init__(self, value):    
        
        if isinstance(value, bool):
            self.value=value
        else:
            raise Exception("value required!")     
                
    def __nonzero__(self):
        return self.value                
                
    def __str__(self):
        if self.value is True:
            return "True"
        else:
            return "False"
            
    def __repr__(self):
        return TBoolean.__str__(self)
        
    def __bool__(self):
        return self.value

    @classmethod
    def fromXML(cls, node):
        return cls(node.text.lower() == "true")
        
    def data2xml(self):
        node=etree.Element("Boolean")
        if self.value is True:
            node.text="true"
        else:
            node.text="false"
        return node        
