# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 1024 $
$LastChangedDate:: 2020-06-25 18:45:41 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import unittest
from lcm.tdata_interface.pytboolean_interface import PyTBooleanInterface
from lcm.tdata_interface.tdata_testing import TDataTesting


class TestPyTBooleanInterface(unittest.TestCase):

    @unittest.skipIf(PyTBooleanInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_J2Py(self):
        for index, value in enumerate([True, False]):
            with self.subTest(msg=str(value)):
                jobj = TDataTesting.getTBoolean(value)
                pyobj = PyTBooleanInterface.convert_J2Py(jobj)
                self.assertEqual(pyobj, TDataTesting.getPythonBool(value))

    @unittest.skipIf(PyTBooleanInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_Py2J(self):
        for index, value in enumerate([True, False]):
            with self.subTest(msg=str(value)):
                pyobj = TDataTesting.getPythonBool(value)
                jobj = PyTBooleanInterface.convert_Py2J(pyobj)
                self.assertEqual(jobj, TDataTesting.getTBoolean(value))


if __name__ == "__main__":
    from lcm.utils.testing import runUnittest

    runUnittest(PyTBooleanInterface.getInterpreter())
