/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.icons.sym;

import java.awt.Image;
import java.util.LinkedList;

import javax.swing.ImageIcon;

/**
 * Get list of programm-icons
 * 
 *
 * @author Werner Koppelsttter
 */
public class SyMIcons {

	/** List of icons */
	private static LinkedList<Image> icons = null;

	/**
	 * Get list of icons
	 * 
	 * @return Icons
	 */
	public static LinkedList<Image> getIcons() {

		if (SyMIcons.icons == null) {
			SyMIcons.icons = new LinkedList<Image>();

			String path = "/"
					+ SyMIcons.class.getPackage().getName().replace('.', '/')
					+ "/";

			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_16x16.png"))
							.getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_16x16@2x.png"))
			// .getImage());
			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_16x16@3x.png"))
							.getImage());

			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_32x32.png"))
							.getImage());
			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_32x32@2x.png"))
							.getImage());
			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_32x32@3x.png"))
							.getImage());

			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_128x128.png"))
							.getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_128x128@2x.png"))
			// .getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_128x128@3x.png"))
			// .getImage());

			SyMIcons.icons.add(new ImageIcon(
					SyMIcons.class.getResource(path + "Icon_256x256.png"))
							.getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_256x256@2x.png"))
			// .getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_256x256@3x.png"))
			// .getImage());

			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_512x512.png"))
			// .getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_512x512@2x.png"))
			// .getImage());
			// SyMIcons.icons.add(new ImageIcon(
			// SyMIcons.class.getResource(path + "Icon_512x512@3x.png"))
			// .getImage());
		}

		return SyMIcons.icons;
	}
}
