/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.views.tree;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * 
 * @author Markus Priglinger
 *
 */
public class ProTableCellRenderer extends DefaultTableCellRenderer {

	/**
	 * 
	 */
	private static final long serialVersionUID = 19700717201308161L;

	/** constructor */
	public ProTableCellRenderer() {
	}

	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {

		Component cellComponent = super.getTableCellRendererComponent(table,
				value, isSelected, hasFocus, row, column);

		cellComponent.setBackground(Color.WHITE);
		cellComponent.setForeground(Color.BLACK);

		if (column == 1) {
			if (isSelected) {
				cellComponent.setBackground(new Color(245, 255, 245));
			} else {
				cellComponent.setBackground(new Color(220, 255, 220));
			}
		} else if (column > 1) {

			if (isSelected) {
				cellComponent.setForeground(new Color(0, 0, 0));
				cellComponent.setBackground(new Color(245, 245, 245));
			} else {
				cellComponent.setForeground(new Color(30, 30, 30));
				cellComponent.setBackground(new Color(235, 235, 235));
			}
		}

		return cellComponent;
	}
}
