/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9713 $
 * $Date: 2020-03-19 09:28:58 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.magopt.structure.formula;

/**
 * Exception for user errors
 *
 * @author Werner Koppelsttter
 */
public class UserException extends FormulaException {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/**
	 * Create user exception without message
	 * 
	 * @param tok
	 *            Token where error occurred
	 */
	public UserException(Token tok) {
		this("Error", tok);
	}

	/**
	 * Create user exception with message
	 * 
	 * @param message
	 *            Error message
	 * @param tok
	 *            Token where error occurred
	 */
	public UserException(String message, Token tok) {
		super("User", message, tok.line, tok.col);
	}

}
