/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view.component;

/**
 * Connects column indices with column header names.
 * 
 * @author Werner Koppelsttter
 */
public enum LinkedFilesColumn {
	/** File */
	FILE(0, "File"),
	/** File exist */
	EXIST(1, "Exist");

	/** Column number */
	private final int _column;

	/** Column name */
	private final String _name;

	/**
	 * Create enumeration
	 * 
	 * @param column
	 *            Column number
	 * @param name
	 *            Column name
	 */
	private LinkedFilesColumn(int column, String name) {
		this._column = column;
		this._name = name;
	}

	/**
	 * Get column number
	 * 
	 * @return Number
	 */
	protected int getValue() {
		return (this._column);
	}

	/**
	 * Get column name
	 * 
	 * @return Name
	 */
	protected String getName() {
		return (this._name);
	}

}
