/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 10128 $
 * $Date: 2021-03-10 11:08:49 +0100 (Wed, 10 Mar 2021) $
 */
package at.lcm.symspace.rest.param;

import at.lcm.bu21.magopt.structure.ParamContainer;
import at.lcm.bu21.magopt.structure.Parameter;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.QueryParam;
import jakarta.ws.rs.core.MediaType;

@Path("container")
public class RESTContainer extends RESTParameter { // implements IParamContainer {

	private ParamContainer getContainer(String projectId, String pid) {
		return (ParamContainer) getParameter(projectId, pid);
	}

	@GET
	@Path("param")
	@Produces(MediaType.TEXT_PLAIN)
	public String getParam(@QueryParam("projectid") String projectId, @QueryParam("pid") String pid) {
		StringBuilder sb = new StringBuilder();

		for (Parameter p : getContainer(projectId, pid).getParam()) {
			if (sb.length() > 0) {
				sb.append("\n");
			}
			sb.append(getObjectUrl(p));
		}

		return sb.toString();
	}

	@GET
	@Path("enable")
	@Produces(MediaType.TEXT_PLAIN)
	public boolean getEnable(@QueryParam("projectid") String projectId, @QueryParam("pid") String pid) {
		return getContainer(projectId, pid).getEnable();
	}

	@GET
	@Path("access")
	@Produces(MediaType.TEXT_PLAIN)
	public String getAccess(@QueryParam("projectid") String projectId, @QueryParam("pid") String pid) {
		return getContainer(projectId, pid).getAccess().name();
	}

	// TODO return Parameter

	// Component

//	@Override
//	public boolean isEnable() throws RemoteException {
//		// TODO Auto-generated method stub
//		return false;
//	}
//
//	@Override
//	public boolean getEnable() throws RemoteException {
//		// TODO Auto-generated method stub
//		return false;
//	}
//
//	@Override
//	public void setEnable(boolean enable) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public Access getAccess() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void setAccess(Access access) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public boolean getIncomplete() throws RemoteException {
//		// TODO Auto-generated method stub
//		return false;
//	}
//
//	@Override
//	public boolean[] getAllIncomplete() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public IParameter[] getParam() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public String[] listPublicInterfaceName() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void addPublicInterface(String name) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void setPublicInterface(String name, String param) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void renamePublicInterface(String oldName, String newName) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public String removePublicInterface(String name) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public String getPublicInterfaceParam(String name) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParameterPath getPublicInterfacePath(String iname) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public IComponent getComponent() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void addComponent() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void removeComponent() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public ParamContainer convertToParamContainer() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParamMaterial convertToParamMaterial() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParamCollector convertToParamCollector() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParamFunction convertToParamMatlabFunction(String classPath, String className) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParamFunction convertToParamPythonFunction(String classPath, String className) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public ParamFunction convertToParamJavaFunction(String classPath, String className) throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public IParamContainer getClientImpl() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
}
